Npm – вопросы и ответы

60
голосов
3
ответа
У меня есть узел /npm, используя документацию nvm. curl -o https://raw.githubusercontent.com/creationix/nvm/v0.26.1/install.sh | удар Затем я устанавливаю его: nvm install stable и тогда я должен сде
7 месяцев, 3 недели назад BoumTAC
91
голос
1
ответ
У нас есть частный реестр NPM, в который мы публикуем наши пакеты, и у нас есть раздел publishConfig в наших проектах. publishConfig package.json, в котором juts содержит наш реестр, который подхва...
7 месяцев, 3 недели назад mindparse
83
голоса
2
ответа
Когда я запускаю jsonplaceholder , я получаю: jsonplaceholder JSONPlaceholder listening on http://localhost:3000 fs.js:432 return binding.open(pathModule._makeLong(path), stringToFlags(flags), mode...
7 месяцев, 3 недели назад ziiweb
82
голоса
2
ответа
У меня есть NodeJS, установленный на моем mac. $ node -v v4.2.1 Я пытаюсь установить беседку. Вот результат: npm ERR! Darwin 15.0.0 npm ERR! argv "/usr/local/bin/node" "/usr/local/bin/npm" "install...
7 месяцев, 3 недели назад Kevin
95
голосов
2
ответа
Я хочу использовать Docker для создания сред разработки для простого проекта node.js. Я хотел бы установить зависимости проекта (они все пакеты npm) внутри контейнера докеров (поэтому они не будут ...
7 месяцев, 3 недели назад Randy Eels
58
голосов
9
ответов
У меня ошибка с ионной командой serve.I можно подавать заявку через npm run ionic: serve.I искал что-то об этом, а также добавлял выход ионной службы --verbose. Пожалуйста, помогите выйти из этого....
7 месяцев, 3 недели назад Aneri Vala
91
голос
2
ответа
В последнее время я испытываю, что установка jspm чаще всего не приводит к возврату сервером статуса 500 всякий раз, когда пакеты @ angular загружаются через NPM. Я пробовал все: Аутентификация npm...
7 месяцев, 3 недели назад Xabre
73
голоса
2
ответа
Я новичок в node, npm, socket.io. Нашел множество руководств, которые довольно полезны, но я встречаю некоторые ошибки, которые я не понимаю, надеюсь, вы можете мне помочь. npm install socket.io -g...
7 месяцев, 3 недели назад John Lee
109
голосов
1
ответ
npm WARN устарела graceful-fs@3.0.8: graceful-fs версия 3 и до этого не будет работать с новыми версиями узлов. Обновите до грамотного -fs@^4.0.0 как можно скорее. npm WARN устарела lodash@1.0.2: l...
7 месяцев, 3 недели назад Varun Sharma
72
голоса
1
ответ
Я разрабатываю приложение React, и все отлично работает при npm start . После того, как я npm run build и запустил serve -s build в папке сборки, терминал сказал мне, что он работает, но когда я из...
7 месяцев, 3 недели назад xfx
84
голоса
2
ответа
Я запутался в процессе установки npm. Насколько я понимаю, для установки модулей существуют разные варианты: -g, который хранит модули по всему миру. - save-dev нет аргументов. Может кто-нибудь объ...
7 месяцев, 3 недели назад Samantha J T Star
58
голосов
1
ответ
Я пытаюсь использовать Azure Functions и хочу добавить некоторые зависимости к моему коду, затем я выполнил шаг, предоставленный ЗДЕСЬ . После запуска npm install и ожидания довольно до
7 месяцев, 3 недели назад Avicenna Wisesa
71
голос
2
ответа
Так... Я получил этот пакет npm, который я разрабатываю для платформы парусов. Пакет NPM: https://github.com/stuk88/ecobill-hook-cms Его загружают как крючок в парусах. Каков наилучший способ отлад...
7 месяцев, 3 недели назад Stas Arshanski
-4
голоса
1
ответ
При установке пакетов npm меня возникает проблема несоответствия версий. Ошибка - npm ERR! peerinvalid Пакет webpack@2.1.0-beta.12 не удовлетворяет требованиям своих сверстников-зависимых братьев и...
7 месяцев, 3 недели назад Samir
71
голос
1
ответ
У меня есть папка с множеством изображений, я хочу, чтобы gulp заменил каждый из них новым файлом изображения, но без изменения их исходного имени gulp.task('img', function() { return gulp.src('sou...
7 месяцев, 3 недели назад CodezPrixx
72
голоса
1
ответ
После запуска npm run , я загружаю папку сборки в github, она не работает. Проверить эту ссылку GitHub Зачем?
7 месяцев, 3 недели назад Norx
92
голоса
1
ответ
Когда я набираю echo% PATH, он возвращает% PATH, почему? Причина, по которой я спрашиваю, заключается в том, что установки npm работают нормально, но мои пакеты не находятся на пути. Я установил Io...
7 месяцев, 3 недели назад Martin Andersen
58
голосов
2
ответа
Я просто установил ESLint, и я могу успешно запустить его, выполнив это в окне терминала: ./node_modules/.bin/eslint app Примечание. app - это корневая папка, которую я хочу проверить. Затем я пост...
7 месяцев, 3 недели назад Bob Horn
94
голоса
1
ответ
Журналы выглядят так. 8 http fetch GET 404 https://registry.npmjs.org/gurnt 2232ms 9 silly fetchPackageMetaData error for gurnt@latest 404 Not Found: gurnt@latest 10 verbose stack Error: 404 Not Fo...
7 месяцев, 3 недели назад kranthi ramireddy
94
голоса
1
ответ
Вот пример команды для установки npm v2 вместо последнего (это v3): npm install -g npm@latest-2 Как работает этот синтаксис? Обычно я использую latest или явную версию, но раньше такого синтаксиса ...
7 месяцев, 3 недели назад TMG
92
голоса
1
ответ
Страницы github действительно легки в документации. Я знаю, что все любят навсегда, но я смущен тем, какова разница между forever и forever-monitor , и какой пакет я должен использовать при каких о...
7 месяцев, 3 недели назад Steven Lu
71
голос
1
ответ
У меня есть определенная загадка и я не могу найти правильное решение. В текущем проекте, в котором я работаю, используется npm для управления нашими пакетами. Некоторое время мы не использовали pa...
7 месяцев, 3 недели назад naturalrogue
83
голоса
1
ответ
Я пытаюсь протестировать пакет NPM в своем локальном (собственный пакет). Я следовал этому руководству: http://rajasekarm.com/publishing-react-component-npm/ У меня это в моем пакете.json: "scripts...
7 месяцев, 3 недели назад Cyval
109
голосов
1
ответ
Есть ли способ установить PHPUnit автоматически, используя только NPM/Grunt? Я знаю о пакете grunt-phpunit , но для этого все еще требуется, чтобы вы установили PHPUnit непосредственно с Composer и...
7 месяцев, 3 недели назад samanime
82
голоса
1
ответ
Я пытаюсь установить учебник flux-todomvc от refer.js из github (ссылка) , но после клонирования репо, запуск установки NPM, а затем запуск NPM, NPM возвращает ошибку, которая выглядит так: peter@p...
7 месяцев, 3 недели назад psvj
101
голос
2
ответа
Итак, есть пакет npm Google предлагает генерировать критический CSS: var critical = require('critical'); gulp.task('critical', function (cb) { critical.generate({ base: 'app/', src: 'index.html', d...
7 месяцев, 3 недели назад sdvnksv
58
голосов
4
ответа
Мне нужно обновить мой угловой до rc5, чтобы использовать NgModule. Я следовал указаниям от Angular 2 . Я обновил свои зависимостей package.json до этого, а затем запустил npm stall в терминале: "d...
7 месяцев, 3 недели назад BeniaminoBaggins
99
голосов
1
ответ
При запуске npm install на нашем сервере сборки Windows команда прерывается с error errno: -4048, error code: 'EPERM', error path: 'C:\\Users\\bamboo\\AppData\\Roaming\\npm-cache\\readable-stream\\...
7 месяцев, 3 недели назад Brantino
74
голоса
2
ответа
У меня есть необработанный фрагмент кода в слое данных приложений NodeJS, который подключается к БД. Я явно генерирую ошибку в моем коде, в то же время не поймав ее. Это: AdminRoleData.prototype.ge...
7 месяцев, 3 недели назад Saad Zulfiqar
94
голоса
3
ответа
Я пишу утилиту nodejs cli (модуль NPM, предназначенный для установки в глобальном масштабе), который должен хранить некоторые пользовательские значения. Каков наилучший способ сохранить эти значени...
7 месяцев, 3 недели назад Casey Flynn
116
голосов
1
ответ
Я создаю веб-приложение с Node.js, Express Framework и шаблонами EJS. Вот мой сервер: const express = require('express'); const app = express(); const PORT = process.env.PORT || 3000; app.set('view...
7 месяцев, 3 недели назад Pavankumar AN
124
голоса
5
ответов
Нужно ли модифицировать пакет NPM для совместимости с Angular 2 (например, добавить в типизацию, сделать директивы для них) или будет ли работать какой-либо существующий пакет? Если они не все совм...
7 месяцев, 3 недели назад Diskdrive
82
голоса
1
ответ
Я сделал электронное приложение, которое использует реагирует, и теперь я планирую использовать sqlite в качестве своей клиентской базы данных. Я попытался установить sqlite3, следуя инструкциям
7 месяцев, 3 недели назад iCurious
82
голоса
1
ответ
Я недавно установил узел на моем компьютере с Windows 8 и протестировал его, и он работает нормально. Но когда я пытаюсь установить его, я получаю эту ошибку npm ERR! Windows_NT 6.2.9200 npm ERR! a...
7 месяцев, 3 недели назад Sparksido
109
голосов
1
ответ
Проблема. У меня есть проект Laravel 5.4 с Vue.js и используйте Heroku для развертывания. Все работает нормально до сегодняшнего дня, когда я заметил, что изменения, внесенные мной в файле компонен...
7 месяцев, 3 недели назад Casey DeMattina
82
голоса
2
ответа
Я использую firebaseui, и мне нужно собрать его с французской локализацией, потому что локализованные версии не публикуются в npm. Мой текущий package.json выглядит так: "dependencies": { "firebase...
7 месяцев, 3 недели назад moppag
116
голосов
1
ответ
На самом деле, я работаю над проектом с более чем 1300 тестовыми примерами. Я уже клонировал весь проект, но, похоже, это проблема с моей npm. Когда я делаю yarn test только 361 из 1341 тестов, я н...
7 месяцев, 3 недели назад Rafael Berro
93
голоса
2
ответа
Я играю с Meteor, и я пытаюсь подключить серверный сервер приложения к другому серверу S. Поэтому я хочу открыть клиентский сокет TLS и направить полученные данные клиенту каждый раз, когда сервер ...
7 месяцев, 3 недели назад Tobi
71
голос
1
ответ
Вопрос: Любой проект, который использует много типов в разных файлах, может использовать типы, определенные в файле сценария. Эти типы видны по всему проекту и не требуют импорта, см. Официальный с...
7 месяцев, 3 недели назад m93a
100
голосов
1
ответ
Я только что создал учетную запись Heroku, и я пытаюсь развернуть мой существующий код. Когда я пытаюсь выполнить git push heroku master я получаю следующую ошибку: Counting objects: 348, done. Del...
7 месяцев, 3 недели назад Manikanta
Чтобы , пожалуйста,
Выберите тему жалобы:

Другая проблема